Index: issm/branches/trunk-jpl-damage/src/dox/issm.dox
===================================================================
--- issm/branches/trunk-jpl-damage/src/dox/issm.dox	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/dox/issm.dox	(revision 12878)
@@ -46,17 +46,17 @@
 </th>
 <tr>
-<th  bgcolor=#FFFFFF style="text-align:left;"> C++ </th><td  bgcolor=#FFFFFF style="text-align:right;">499</td><td  bgcolor=#FFFFFF style="text-align:right;">14338</td><td  bgcolor=#FFFFFF style="text-align:right;">16340</td><td  bgcolor=#FFFFFF style="text-align:right;">54651</td><td  bgcolor=#FFFFFF style="text-align:right;">85329</td>
+<th  bgcolor=#FFFFFF style="text-align:left;"> C++ </th><td  bgcolor=#FFFFFF style="text-align:right;">508</td><td  bgcolor=#FFFFFF style="text-align:right;">14595</td><td  bgcolor=#FFFFFF style="text-align:right;">16762</td><td  bgcolor=#FFFFFF style="text-align:right;">56036</td><td  bgcolor=#FFFFFF style="text-align:right;">87393</td>
 </tr>
 <tr>
-<th  bgcolor=#C6E2FF style="text-align:left;"> MATLAB </th><td  bgcolor=#C6E2FF style="text-align:right;">919</td><td  bgcolor=#C6E2FF style="text-align:right;">6875</td><td  bgcolor=#C6E2FF style="text-align:right;">13184</td><td  bgcolor=#C6E2FF style="text-align:right;">30350</td><td  bgcolor=#C6E2FF style="text-align:right;">50409</td>
+<th  bgcolor=#C6E2FF style="text-align:left;"> MATLAB </th><td  bgcolor=#C6E2FF style="text-align:right;">925</td><td  bgcolor=#C6E2FF style="text-align:right;">6851</td><td  bgcolor=#C6E2FF style="text-align:right;">13228</td><td  bgcolor=#C6E2FF style="text-align:right;">30468</td><td  bgcolor=#C6E2FF style="text-align:right;">50547</td>
 </tr>
 <tr>
-<th  bgcolor=#FFFFFF style="text-align:left;"> C/C++  Header </th><td  bgcolor=#FFFFFF style="text-align:right;">366</td><td  bgcolor=#FFFFFF style="text-align:right;">2665</td><td  bgcolor=#FFFFFF style="text-align:right;">2529</td><td  bgcolor=#FFFFFF style="text-align:right;">9400</td><td  bgcolor=#FFFFFF style="text-align:right;">14594</td>
+<th  bgcolor=#FFFFFF style="text-align:left;"> C/C++  Header </th><td  bgcolor=#FFFFFF style="text-align:right;">378</td><td  bgcolor=#FFFFFF style="text-align:right;">2758</td><td  bgcolor=#FFFFFF style="text-align:right;">2612</td><td  bgcolor=#FFFFFF style="text-align:right;">9818</td><td  bgcolor=#FFFFFF style="text-align:right;">15188</td>
 </tr>
 <tr>
-<th  bgcolor=#C6E2FF style="text-align:left;"> m4 </th><td  bgcolor=#C6E2FF style="text-align:right;">7</td><td  bgcolor=#C6E2FF style="text-align:right;">993</td><td  bgcolor=#C6E2FF style="text-align:right;">80</td><td  bgcolor=#C6E2FF style="text-align:right;">8237</td><td  bgcolor=#C6E2FF style="text-align:right;">9310</td>
+<th  bgcolor=#C6E2FF style="text-align:left;"> m4 </th><td  bgcolor=#C6E2FF style="text-align:right;">7</td><td  bgcolor=#C6E2FF style="text-align:right;">997</td><td  bgcolor=#C6E2FF style="text-align:right;">80</td><td  bgcolor=#C6E2FF style="text-align:right;">8259</td><td  bgcolor=#C6E2FF style="text-align:right;">9336</td>
 </tr>
 <tr>
-<th  bgcolor=#FFFFFF style="text-align:left;"> Python </th><td  bgcolor=#FFFFFF style="text-align:right;">47</td><td  bgcolor=#FFFFFF style="text-align:right;">183</td><td  bgcolor=#FFFFFF style="text-align:right;">518</td><td  bgcolor=#FFFFFF style="text-align:right;">1099</td><td  bgcolor=#FFFFFF style="text-align:right;">1800</td>
+<th  bgcolor=#FFFFFF style="text-align:left;"> Python </th><td  bgcolor=#FFFFFF style="text-align:right;">53</td><td  bgcolor=#FFFFFF style="text-align:right;">400</td><td  bgcolor=#FFFFFF style="text-align:right;">610</td><td  bgcolor=#FFFFFF style="text-align:right;">1424</td><td  bgcolor=#FFFFFF style="text-align:right;">2434</td>
 </tr>
 <tr>
@@ -67,5 +67,5 @@
 </tr>
 <tr>
-<th  bgcolor=#C6E2FF style="text-align:left;"> Bourne  Shell </th><td  bgcolor=#C6E2FF style="text-align:right;">5</td><td  bgcolor=#C6E2FF style="text-align:right;">46</td><td  bgcolor=#C6E2FF style="text-align:right;">71</td><td  bgcolor=#C6E2FF style="text-align:right;">226</td><td  bgcolor=#C6E2FF style="text-align:right;">343</td>
+<th  bgcolor=#C6E2FF style="text-align:left;"> Bourne  Shell </th><td  bgcolor=#C6E2FF style="text-align:right;">5</td><td  bgcolor=#C6E2FF style="text-align:right;">47</td><td  bgcolor=#C6E2FF style="text-align:right;">75</td><td  bgcolor=#C6E2FF style="text-align:right;">239</td><td  bgcolor=#C6E2FF style="text-align:right;">361</td>
 </tr>
 <tr>
@@ -73,8 +73,8 @@
 </tr>
 <tr>
-<th  bgcolor=#C6E2FF style="text-align:left;"> C </th><td  bgcolor=#C6E2FF style="text-align:right;">2</td><td  bgcolor=#C6E2FF style="text-align:right;">3</td><td  bgcolor=#C6E2FF style="text-align:right;">3</td><td  bgcolor=#C6E2FF style="text-align:right;">24</td><td  bgcolor=#C6E2FF style="text-align:right;">30</td>
+<th  bgcolor=#C6E2FF style="text-align:left;"> C </th><td  bgcolor=#C6E2FF style="text-align:right;">1</td><td  bgcolor=#C6E2FF style="text-align:right;">2</td><td  bgcolor=#C6E2FF style="text-align:right;">3</td><td  bgcolor=#C6E2FF style="text-align:right;">6</td><td  bgcolor=#C6E2FF style="text-align:right;">11</td>
 </tr>
 <tr>
-<th  bgcolor=#FFFFFF style="text-align:left;"> SUM: </th><td  bgcolor=#FFFFFF style="text-align:right;">1858</td><td  bgcolor=#FFFFFF style="text-align:right;">25240</td><td  bgcolor=#FFFFFF style="text-align:right;">32752</td><td  bgcolor=#FFFFFF style="text-align:right;">104721</td><td  bgcolor=#FFFFFF style="text-align:right;">162713</td>
+<th  bgcolor=#FFFFFF style="text-align:left;"> SUM: </th><td  bgcolor=#FFFFFF style="text-align:right;">1890</td><td  bgcolor=#FFFFFF style="text-align:right;">25787</td><td  bgcolor=#FFFFFF style="text-align:right;">33397</td><td  bgcolor=#FFFFFF style="text-align:right;">106984</td><td  bgcolor=#FFFFFF style="text-align:right;">166168</td>
 </tr>
 </table>
Index: issm/branches/trunk-jpl-damage/src/m/classes/autodiff.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/autodiff.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/autodiff.m	(revision 12878)
@@ -22,5 +22,5 @@
 
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 
 		end % }}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/balancethickness.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/balancethickness.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/balancethickness.m	(revision 12878)
@@ -25,11 +25,11 @@
 
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 			%Early return
 			if solution~=BalancethicknessSolutionEnum, return; end
 
-			checkfield(md,'balancethickness.spcthickness','forcing',1);
-			checkfield(md,'balancethickness.thickening_rate','size',[md.mesh.numberofvertices 1],'NaN',1);
-			checkfield(md,'balancethickness.stabilization','size',[1 1],'values',[0 1 2 3]);
+			md = checkfield(md,'balancethickness.spcthickness','forcing',1);
+			md = checkfield(md,'balancethickness.thickening_rate','size',[md.mesh.numberofvertices 1],'NaN',1);
+			md = checkfield(md,'balancethickness.stabilization','size',[1 1],'values',[0 1 2 3]);
 		end % }}}
 		function disp(obj) % {{{
Index: issm/branches/trunk-jpl-damage/src/m/classes/bamggeom.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/bamggeom.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/bamggeom.m	(revision 12878)
@@ -6,5 +6,5 @@
 classdef bamggeom
 	properties (SetAccess=public) 
-		% {{{1
+		% {{{
 		Vertices=[];
 		Edges=[];
@@ -18,5 +18,5 @@
 	end
 	methods
-		function bg = bamggeom(varargin)% {{{1
+		function bg = bamggeom(varargin)% {{{
 		%BAMGGEOM - constructor for bamggeom object
 		%
@@ -44,5 +44,5 @@
 			end
 		end%}}}
-		function display(bg)% {{{1
+		function display(bg)% {{{
 			disp(sprintf('\n%s = \n',inputname(1)));
 			disp(struct(bg))
Index: issm/branches/trunk-jpl-damage/src/m/classes/bamgmesh.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/bamgmesh.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/bamgmesh.m	(revision 12878)
@@ -6,5 +6,5 @@
 classdef bamgmesh
 	properties (SetAccess=public) 
-		% {{{1
+		% {{{
 		Vertices=[];
 		Edges=[];
@@ -26,5 +26,5 @@
 	end
 	methods
-		function bg = bamgmesh(varargin)% {{{1
+		function bg = bamgmesh(varargin)% {{{
 
 		switch nargin
@@ -48,5 +48,5 @@
 			end
 		end%}}}
-		function display(bm)% {{{1
+		function display(bm)% {{{
 			disp(sprintf('\n%s = \n',inputname(1)));
 			disp(struct(bm))
Index: issm/branches/trunk-jpl-damage/src/m/classes/basalforcings.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/basalforcings.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/basalforcings.m	(revision 12878)
@@ -22,15 +22,15 @@
 
 		end % }}}
-		function checkconsistency(obj,md,solution,analyses) % {{{
+		function md = checkconsistency(obj,md,solution,analyses) % {{{
 
 			if ismember(PrognosticAnalysisEnum,analyses) & ~(solution==TransientSolutionEnum & md.transient.isprognostic==0),
-				checkfield(md,'basalforcings.melting_rate','NaN',1,'forcing',1);
+				md = checkfield(md,'basalforcings.melting_rate','NaN',1,'forcing',1);
 			end
 			if ismember(BalancethicknessAnalysisEnum,analyses),
-				checkfield(md,'basalforcings.melting_rate','NaN',1,'size',[md.mesh.numberofvertices 1]);
+				md = checkfield(md,'basalforcings.melting_rate','NaN',1,'size',[md.mesh.numberofvertices 1]);
 			end
 			if ismember(ThermalAnalysisEnum,analyses) & ~(solution==TransientSolutionEnum & md.transient.isthermal==0),
-				checkfield(md,'basalforcings.melting_rate','NaN',1,'forcing',1);
-				checkfield(md,'basalforcings.geothermalflux','NaN',1,'forcing',1,'>=',0);
+				md = checkfield(md,'basalforcings.melting_rate','NaN',1,'forcing',1);
+				md = checkfield(md,'basalforcings.geothermalflux','NaN',1,'forcing',1,'>=',0);
 			end
 		end % }}}
Index: issm/branches/trunk-jpl-damage/src/m/classes/clusters/acenet.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/clusters/acenet.m	(revision 12878)
+++ issm/branches/trunk-jpl-damage/src/m/classes/clusters/acenet.m	(revision 12878)
@@ -0,0 +1,109 @@
+%ACENET class definition
+%
+%   Usage:
+%      cluster=acenet();
+%      cluster=acenet('np',3);
+%      cluster=acenet('np',3,'login','username');
+
+classdef acenet
+    properties (SetAccess=public) 
+		 % {{{
+		 name='glacdyn.ace-net.ca'
+		 %name='placentia.ace-net.ca'
+		 %name='brasdor.ace-net.ca'
+		 login='klemorza';
+		 np=10;
+		 port=0;
+		 queue='shortq';
+		 time=10;
+		 % codepath='/usr/local/issm-r11321/bin'; % this one is for issm on acenet global
+		 codepath='/home/klemorza/issm/bin'; % this one is for issm on my acenet directory
+		 executionpath='/home/klemorza/issm/execution';
+		 %}}}
+	 end
+	 methods
+		 function cluster=acenet(varargin) % {{{
+			 %use provided options to change fields
+			 options=pairoptions(varargin{:});
+
+			 %initialize cluster using user settings if provided
+			 if (exist([cluster.name '_settings'])==2), eval([cluster.name '_settings']); end
+
+			 %OK get other fields
+			 cluster=AssignObjectFields(pairoptions(varargin{:}),cluster);
+		 end
+		 %}}}
+		 function disp(cluster) % {{{
+			 %  display the object
+			 disp(sprintf('class ''%s'' object ''%s'' = ',class(cluster),inputname(1)));
+			 disp(sprintf('    name: %s',cluster.name));
+			 disp(sprintf('    login: %s',cluster.login));
+			 disp(sprintf('    np: %i',cluster.np));
+			 disp(sprintf('    port: %i',cluster.port));
+			 disp(sprintf('    queue: %s',cluster.queue));
+			 disp(sprintf('    time: %i',cluster.time));
+			 disp(sprintf('    codepath: %s',cluster.codepath));
+			 disp(sprintf('    executionpath: %s',cluster.executionpath));
+		 end
+		 %}}}
+		 function md = checkconsistency(cluster,md,solution,analyses) % {{{
+
+			 available_queues={'debug','shortq','longq'};
+			 queue_requirements_time=[60*1 60*3 60*17];
+			 queue_requirements_np=[32 128 256];
+
+			 QueueRequirements(available_queues,queue_requirements_time,queue_requirements_np,cluster.queue,cluster.np,cluster.time)
+		 end
+		 %}}}
+		 function BuildQueueScript(cluster,dirname,modelname,solution,io_gather,isvalgrind,isgprof) % {{{
+
+			 if(isvalgrind), disp('valgrind not supported by cluster, ignoring...'); end
+			 if(isgprof),    disp('gprof not supported by cluster, ignoring...'); end
+
+			 %write queuing script 
+			 fid=fopen([modelname '.queue'],'w');
+			 fprintf(fid,'#!/bin/bash\n');
+			 fprintf(fid,'#$ -cwd\n');
+          fprintf(fid,'#$ -N issm\n');
+          fprintf(fid,'#$ -l h_rt=10:0:0\n');
+          fprintf(fid,'#$ -pe ompi* %i\n',cluster.np);
+          fprintf(fid,'#$ -j y\n');
+          fprintf(fid,'module purge\n');
+          fprintf(fid,'module load gcc openmpi/gcc\n');
+          fprintf(fid,'module load issm\n');
+          fprintf(fid,'\n');
+          fprintf(fid,'mpiexec -np %i %s/issm.exe %s %s %s 2> %s.errlog >%s.outlog ',...
+                   cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname,modelname,modelname);
+			 fclose(fid);
+
+		 end
+		 %}}}
+		 function LaunchQueueJob(cluster,modelname,dirname,filelist)% {{{
+
+			 %compress the files into one zip.
+			 compressstring=['tar -zcf ' dirname '.tar.gz '];
+			 for i=1:numel(filelist),
+				 compressstring = [compressstring ' ' filelist{i}];
+			 end
+			 if cluster.interactive,
+				 compressstring = [compressstring ' ' modelname '.errlog ' modelname '.outlog '];
+			 end
+			 system(compressstring);
+
+			 disp('uploading input file and queueing script');
+			 issmscpout(cluster.name,cluster.executionpath,cluster.login,cluster.port,{[dirname '.tar.gz']});
+
+			 disp('launching solution sequence on remote cluster');
+			 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' dirname ' && mkdir ' dirname ...
+				 ' && cd ' dirname ' && mv ../' dirname '.tar.gz ./ && tar -zxf ' dirname '.tar.gz  && qsub ' modelname '.queue '];
+			 issmssh(cluster.name,cluster.login,cluster.port,launchcommand);
+		 end %}}}
+		 function Download(cluster,dirname,filelist)% {{{
+
+			 %copy files from cluster to current directory
+			 directory=[cluster.executionpath '/' dirname '/'];
+			 issmscpin(cluster.name,cluster.login,cluster.port,directory,filelist);
+
+		 end %}}}
+	end
+end
Index: issm/branches/trunk-jpl-damage/src/m/classes/clusters/castor.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/clusters/castor.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/clusters/castor.m	(revision 12878)
@@ -8,5 +8,5 @@
 classdef castor
     properties (SetAccess=public) 
-		 % {{{1
+		 % {{{
 		 name='castor'
 		 login='username';
@@ -20,9 +20,9 @@
 	 end
 	 methods
-		 function cluster=castor(varargin) % {{{1
+		 function cluster=castor(varargin) % {{{
 			 cluster=AssignObjectFields(pairoptions(varargin{:}),cluster);
 		 end
 		 %}}}
-		 function disp(cluster) % {{{1
+		 function disp(cluster) % {{{
 			 %  display the object
 			 disp(sprintf('class ''%s'' object ''%s'' = ',class(cluster),inputname(1)));
@@ -37,5 +37,5 @@
 		 end
 		 %}}}
-		 function checkconsistency(cluster,md,solution,analyses) % {{{1
+		 function md = checkconsistency(cluster,md,solution,analyses) % {{{
 
 			 available_queues={'shortc','longc'};
@@ -46,13 +46,11 @@
 		 end
 		 %}}}
-		 function BuildQueueScript(cluster,md) % {{{1
+		 function BuildQueueScript(cluster,dirname,modelname,solution,io_gather,isvalgrind,isgprof) % {{{
 
-			 %retrieve parameters 
-			 modelname=md.miscellaneous.name; 
-			 solution=md.private.solution;
+			 if(isvalgrind), disp('valgrind not supported by cluster, ignoring...'); end
+			 if(isgprof),    disp('gprof not supported by cluster, ignoring...'); end
 
-			 %open file for writing: 
+			 %write queuing script 
 			 fid=fopen([modelname '.queue'],'w');
-
 			 fprintf(fid,'#!/bin/sh\n');
 			 fprintf(fid,'#PBS -l walltime=%i\n',cluster.time*60); %walltime is in seconds.
@@ -64,70 +62,39 @@
 			 fprintf(fid,'#PBS -o %s.outlog \n',modelname);
 			 fprintf(fid,'#PBS -e %s.errlog \n',modelname);
-
 			 fprintf(fid,'export PBS_O_WORKDIR=%s\n',cluster.executionpath);
 			 fprintf(fid,'cd $PBS_O_WORKDIR\n');
 			 fprintf(fid,'export OMP_NUM_THREADS=1\n');
 			 fprintf(fid,'dplace -s1 -c0-%i mpiexec -np %i %s/issm.exe %s %s %s',cluster.np-1,cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname);
-
-			 %close file
 			 fclose(fid);
 
 		 end
 		 %}}}
-		 function LaunchQueueJob(cluster,md,options)% {{{1
-			 
-			 %lauch command, to be executed via ssh
-			 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' md.private.runtimename ' && mkdir ' md.private.runtimename ...
-			                ' && cd ' md.private.runtimename ' && mv ../' md.private.runtimename '.tar.gz ./ && tar -zxf ' md.private.runtimename '.tar.gz  && qsub ' modelname '.queue '];
+		 function LaunchQueueJob(cluster,modelname,dirname,filelist)% {{{
 
-			if ~strcmpi(options.batch,'yes'),
-				
-				%compress the files into one zip.
-				compressstring=['tar -zcf ' md.private.runtimename '.tar.gz ' md.miscellaneous.name '.bin ' md.miscellaneous.name '.queue '  md.miscellaneous.name '.petsc '];
-				if md.qmu.isdakota,
-					compressstring=[compressstring md.miscellaneous.name '.qmu.in'];
-				end
-				system(compressstring);
-				
-				disp('uploading input file and queueing script');
-				issmscpout(md.cluster.name,md.cluster.executionpath,md.cluster.login,md.cluster.port,{[md.private.runtimename '.tar.gz']});
-				
-				disp('launching solution sequence on remote cluster');
-				issmssh(md.cluster.name,md.cluster.login,md.cluster.port,launchcommand);
+			 %compress the files into one zip.
+			 compressstring=['tar -zcf ' dirname '.tar.gz '];
+			 for i=1:numel(filelist),
+				 compressstring = [compressstring ' ' filelist{i}];
+			 end
+			 if cluster.interactive,
+				 compressstring = [compressstring ' ' modelname '.errlog ' modelname '.outlog '];
+			 end
+			 system(compressstring);
 
-			else
-				disp('batch mode requested: not launching job interactively');
-				disp('launch solution sequence on remote cluster by hand');
-			end
+			 disp('uploading input file and queueing script');
+			 issmscpout(cluster.name,cluster.executionpath,cluster.login,cluster.port,{[dirname '.tar.gz']});
 
-		 end
-		 %}}}
-		 function Download(cluster,md)% {{{1
+			 disp('launching solution sequence on remote cluster');
+			 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' dirname ' && mkdir ' dirname ...
+				 ' && cd ' dirname ' && mv ../' dirname '.tar.gz ./ && tar -zxf ' dirname '.tar.gz  && qsub ' modelname '.queue '];
+			 issmssh(cluster.name,cluster.login,cluster.port,launchcommand);
+		 end %}}}
+		 function Download(cluster,dirname,filelist)% {{{
 
-			%some check
-			if isempty(md.private.runtimename),
-				error('pfe Download error message: supply runtime name for results to be loaded!');
-			end
+			 %copy files from cluster to current directory
+			 directory=[cluster.executionpath '/' dirname '/'];
+			 issmscpin(cluster.name,cluster.login,cluster.port,directory,filelist);
 
-			%Figure out the  directory where all the files are in: 
-			directory=[cluster.executionpath '/' md.private.runtimename '/'];
-
-			%What packages are we picking up from remote cluster
-			packages={[md.miscellaneous.name '.outlog'],[md.miscellaneous.name '.errlog']};
-			if md.qmu.isdakota,
-				packages{end+1}=[md.miscellaneous.name '.qmu.err'];
-				packages{end+1}=[md.miscellaneous.name '.qmu.out'];
-				if isfield(md.qmu.params,'tabular_graphics_data'),
-					if md.qmu.params.tabular_graphics_data==true,
-						packages{end+1}='dakota_tabular.dat'; 
-					end
-				end
-			else
-				packages{end+1}=[md.miscellaneous.name '.outbin'];
-			end
-
-			%copy files from cluster to present directory
-			issmscpin(cluster.name, cluster.login, cluster.port, directory, packages);
-		end %}}}
+		 end %}}}
 	end
 end
Index: issm/branches/trunk-jpl-damage/src/m/classes/clusters/cosmos.m
===================================================================
--- issm/branches/trunk-jpl-damage/src/m/classes/clusters/cosmos.m	(revision 12877)
+++ issm/branches/trunk-jpl-damage/src/m/classes/clusters/cosmos.m	(revision 12878)
@@ -8,5 +8,5 @@
 classdef cosmos
     properties (SetAccess=public) 
-		 % {{{1
+		 % {{{
 		 name='cosmos'
 		 login='username';
@@ -20,9 +20,9 @@
 	 end
 	 methods
-		 function cluster=cosmos(varargin) % {{{1
+		 function cluster=cosmos(varargin) % {{{
 			 cluster=AssignObjectFields(pairoptions(varargin{:}),cluster);
 		 end
 		 %}}}
-		 function disp(cluster) % {{{1
+		 function disp(cluster) % {{{
 			 %  display the object
 			 disp(sprintf('class ''%s'' object ''%s'' = ',class(cluster),inputname(1)));
@@ -37,5 +37,5 @@
 		 end
 		 %}}}
-		 function checkconsistency(cluster,md,solution,analyses) % {{{1
+		 function md = checkconsistency(cluster,md,solution,analyses) % {{{
 
 			 available_queues={'debug','shortq','longq'};
@@ -46,13 +46,11 @@
 		 end
 		 %}}}
-		 function BuildQueueScript(cluster,md) % {{{1
+		 function BuildQueueScript(cluster,dirname,modelname,solution,io_gather,isvalgrind,isgprof) % {{{
 
-			 %retrieve parameters 
-			 modelname=md.miscellaneous.name; 
-			 solution=md.private.solution;
+			 if(isvalgrind), disp('valgrind not supported by cluster, ignoring...'); end
+			 if(isgprof),    disp('gprof not supported by cluster, ignoring...'); end
 
-			 %open file for writing: 
+			 %write queuing script 
 			 fid=fopen([modelname '.queue'],'w');
-
 			 fprintf(fid,'#!/bin/bash\n');
 			 fprintf(fid,'#PBS -l select=%i:ncpus=1\n',cluster.np);
@@ -68,65 +66,35 @@
 			 fprintf(fid,'ulimit -c 0\n');
 			 fprintf(fid,'/opt/mpich/gm/intel10.1/bin/mpiexec -np %i %s/issm.exe %s %s %s',cluster.np,cluster.codepath,EnumToString(solution),cluster.executionpath,modelname);
-
-			 %close file
 			 fclose(fid);
 
 		 end
 		 %}}}
-		 function LaunchQueueJob(cluster,md,options)% {{{1
-			 
-			 %lauch command, to be executed via ssh
-			 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' md.private.runtimename ' && mkdir ' md.private.runtimename ...
-			                ' && cd ' md.private.runtimename ' && mv ../' md.private.runtimename '.tar.gz ./ && tar -zxf ' md.private.runtimename '.tar.gz  && qsub -S/bin/sh ' modelname '.queue '];
+		 function LaunchQueueJob(cluster,modelname,dirname,filelist)% {{{
 
-			if ~strcmpi(options.batch,'yes'),
-				
-				%compress the files into one zip.
-				compressstring=['tar -zcf ' md.private.runtimename '.tar.gz ' md.miscellaneous.name '.bin ' md.miscellaneous.name '.queue '  md.miscellaneous.name '.petsc '];
-				if md.qmu.isdakota,
-					compressstring=[compressstring md.miscellaneous.name '.qmu.in'];
-				end
-				system(compressstring);
-				
-				disp('uploading input file and queueing script');
-				issmscpout(md.cluster.name,md.cluster.executionpath,md.cluster.login,md.cluster.port,{[md.private.runtimename '.tar.gz']});
-				
-				disp('launching solution sequence on remote cluster');
-				issmssh(md.cluster.name,md.cluster.login,md.cluster.port,launchcommand);
+			 %compress the files into one zip.
+			 compressstring=['tar -zcf ' dirname '.tar.gz '];
+			 for i=1:numel(filelist),
+				 compressstring = [compressstring ' ' filelist{i}];
+			 end
+			 if cluster.interactive,
+				 compressstring = [compressstring ' ' modelname '.errlog ' modelname '.outlog '];
+			 end
+			 system(compressstring);
 
-			else
-				disp('batch mode requested: not launching job interactively');
-				disp('launch solution sequence on remote cluster by hand');
-			end
+			 disp('uploading input file and queueing script');
+			 issmscpout(cluster.name,cluster.executionpath,cluster.login,cluster.port,{[dirname '.tar.gz']});
 
-		 end
-		 %}}}
-		 function Download(cluster,md)% {{{1
+			 disp('launching solution sequence on remote cluster');
+			 launchcommand=['cd ' cluster.executionpath ' && rm -rf ./' dirname ' && mkdir ' dirname ...
+				 ' && cd ' dirname ' && mv ../' dirname '.tar.gz ./ && tar -zxf ' dirname '.tar.gz  && qsub ' modelname '.queue '];
+			 issmssh(cluster.name,cluster.login,cluster.port,launchcommand);
+		 end %}}}
+		 function Download(cluster,dirname,filelist)% {{{
 
-			%some check
-			if isempty(md.private.runtimename),
-				error('pfe Download error message: supply runtime name for results to be loaded!');
-			end
+			 %copy files from cluster to current directory
+			 directory=[cluster.executionpath '/' dirname '/'];
+			 issmscpin(cluster.name,cluster.login,cluster.port,directory,filelist);
 
-			%Figure out the  directory where all the files are in: 
-			directory=[cluster.executionpath '/' md.private.runtimename '/'];
-
-			%What packages are we picking up from remote cluster
-			packages={[md.miscellaneous.name '.outlog'],[md.miscellaneous.name '.errlog']};
-			if md.qmu.isdakota,
-				packages{end+1}=[md.miscellaneous.name '.qmu.err'];
-				packages{end+1}=[md.miscellaneous.name '.qmu.out'];
-				if isfield(md.qmu.params,'tabular_graphics_data'),
-					if md.qmu.params.tabular_graphics_data==true,
-						packages{end+1}='dakota_tabular.dat'; 
-					end
-				end
-			else
-				packages{end+1}=[md.miscellaneous.name '.outbin'];
-			end
-
-			%copy files from cluster to present directory
-			issmscpin(cluster.name, cluster.login, cluster.port, directory, packages);
-		end %}}}
+		 end %}}}
 	end
 end
